function [signal,signalFF,cyklyKOR,OUTput,OUTclear,QRSnew] = vyber_svodu(pom,QRS,fvz,RR)
o = 0;
konec = 0; %pomocná pro výběr svodu, pokud už sme nakonci a nenašli nejlepší zvolí se II
svodyy = [1,6,8]; % vybrané shluky mezi kterými probíhá výběr
maximum = 4;    %toto je maximu shluků které dovolujeme(ideálně)

while true        
        o = o+1;
        signal = pom(:,svodyy(o)); %zkouška jednoho ze tří svodů
        signal = signal(:)';

        %% Nastavení různých velikostí oken podle tepových frekvencí 
        %% tak aby nízké tepové frekvence měli vetší okno a vysoké malé okno
        tep = 60/mean(RR);
        if tep<80
            okno_velikost = round(50+(abs(80-tep)*0.1));
        else
           okno_velikost = round(50-(abs(80-tep)*0.1));
        end

        %% Upřesnění kmitu R
        QRS = maxVokne(signal,QRS,mean(RR));
        %% Výběr cyklů
        [signalFF,cyklyKOR,QRSnew] = vyberCyklu(signal, RR, QRS, fvz, okno_velikost);
        [OUTput, OUTclear] = firstCLUSTERING(signalFF,cyklyKOR,RR); %vstupuje matice cyklů
        pocet_shluku = numel(unique(OUTput));
  
        %% Zobrazení signalu rozdeleného do oken

        if pocet_shluku <= maximum || konec == 1 % je vybráno
            break
        end
        if o==3 
           konec = 1;
           o= 0; % volba prvního svodu
        end
end
end